package com.ruoyi.cai.enums;

import lombok.Getter;

/**
 * 系统动态配置枚举
 * <p>created on 2022/8/18 17:15</p>
 *
 * @author ZL
 */
public enum SystemConfigEnum {
    GUARD_PRICE("1314", "守护价格",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_ANCHOR_PRICE("200","主播默认价格",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_ANCHOR_GUARD_PRICE("0.5","主播默认守护提成",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_ANCHOR_GIFT_PRICE("0.5","主播默认礼物提成",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_ANCHOR_VIDEO_PRICE("0.5","主播默认视频提成",SystemConfigGroupEnum.BUSINESS),
    DAY_MAX_DYNAMIC("10", "每日运行发布的最大动态数",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_VIDEO_INCOME_RATE("0.07", "默认分销好友视频提成",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_GIFT_INCOME_RATE("0.07", "默认分销好友礼物提成",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_GUARD_INCOME_RATE("0.07", "默认分销好友守护提成",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_PAY_INCOME_RATE("0.07", "默认分销好友充值提成",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_UNION_GIFT_INCOME_RATE("0.01", "默认工会礼物提成",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_UNION_VIDEO_INCOME_RATE("0.01", "默认工会视频提成",SystemConfigGroupEnum.BUSINESS),
    DEFAULT_UNION_ONE_INCOME_RATE("0.07", "默认工会一级提成",SystemConfigGroupEnum.BUSINESS),
    TODAY_GREET_MAX("100", "每日主播群打招呼次数",SystemConfigGroupEnum.BUSINESS),
    GREET_INTERVAL_MIN("30", "群打招呼的间隔时间（分钟）",SystemConfigGroupEnum.BUSINESS),
    SENSITIVE_ENABLE("1", "是否开启手机号脱敏",SystemConfigGroupEnum.SYSTEM),
    SMS_CODE_ADMIN("", "万能验证码",SystemConfigGroupEnum.SYSTEM),
    PASSWORD_ADMIN("", "公用密码",SystemConfigGroupEnum.SYSTEM),
    SYSTEM_CUSTOMER_SERVICE("", "系统客服",SystemConfigGroupEnum.SYSTEM),
    WS_SOCKET_URL("ws://localhost:8080/ws?token=%s&room_id=%s", "ws通讯地址",SystemConfigGroupEnum.SYSTEM),
    ;


    @Getter
    private final String defaultValue;
    @Getter
    private final String desc;
    @Getter
    private final SystemConfigGroupEnum group;

    SystemConfigEnum(String defaultValue, String desc, SystemConfigGroupEnum group) {
        this.defaultValue = defaultValue;
        this.desc = desc;
        this.group = group;
    }

    public String getKey() {
        return this.name();
    }
}
